import java.io.IOException;
import java.util.Map;
import java.util.Set;

public class Demo{
    public static void main(String[] args) throws TownException {
        TownStorage ts = new TownStorageImpl();
        Map<Person,Set<Town>> m1 = ts.read("input.txt");
        
        System.out.println("DATA NACTENA ZE SOUBORU input.txt:");
        for (Person p: m1.keySet()) {
            System.out.println(p + " - " + m1.get(p));
        }
        
        Map<Town,Set<Person>> m2 = ts.proposalsOfTowns(m1);
        System.out.println("\nDATA PO PREVODU METODOU proposalsOfTown():");
        for (Town t: m2.keySet()) {
            System.out.println(t + " - " + m2.get(t));
        }

        ts.write(m2, "output.txt");
    }
}
